#!/bin/sh
# preinst for doc-base

# the sole purpose of this file is to clean up a boo boo I introduced
# in doc-base 0.4

# Abort if any command returns an error value
set -e

cleanup_old_bug ( ) {
  if command -v install-docs >/dev/null 2>&1; then
    install-docs -r install-doc-man || true
  else
    echo "cannot find install-docs on path" 1>&2
  fi
}

# This script is called before this version of this package is installed.
# When this script is called, the package's files have not been unpacked
# yet.

case "$1" in
  install)
    # About to install this package.  There are two sub-cases.
    :
    if test "${2+set}" = set; then
      # The configuration files from version $2 of this package are
      # still on the system.
      if test "$2" = "0.4"; then
	cleanup_old_bug
      fi
    else
      # There is no existing configuration; install from scratch.
      :
    fi ;;
  upgrade)
    # About to upgrade this package from version $2 TO THIS VERSION.
    # "prerm upgrade" has already been called for the old version of
    # this package.
    if test "$2" = "0.4"; then
      cleanup_old_bug
    fi
    ;;
  abort-upgrade)
    # Back out of an attempt to upgrade this package FROM THIS VERSION to
    # version $2.  Undo the effects of "postrm upgrade $2".
    :
    ;;
  *) echo "$0: didn't understand being called with \`$1'" 1>&2
     exit 1;;
esac

exit 0
